#!/bin/bash
cp lines.py ../resh
PANE_SERVER=`tmux split-window -Pdh "./go_server.sh $1"`
PANE_MITM=`tmux split-window -Pdv -t "$PANE_SERVER" "./go_mitm.sh $1 \"$2\" \"$3\""`
sleep 1
PANE_CTRL=`tmux split-window -Pdv ./go_control.sh`
sleep 1
CODE_DIR="$1"
shift 3
./go_client.sh "$CODE_DIR" "$@"
tmux kill-pane -t "$PANE_CTRL"
tmux kill-pane -t "$PANE_MITM"
tmux kill-pane -t "$PANE_SERVER"
rm "../resh/lines.py"
