#!/bin/bash
cat <<EXPL
Test 102: clients multiples avec rupture de connexion

1. Vérifier que les 3 clients mélangés affichent, respectivement, les lignes:
     1. 100-199
     2. 400-499
     3. 700-799
2. MITM: vérifier qu'on brise la connexion 5 fois:
     1. À  4.0: #0
     2.    7.0: #1
     3.   10.0: #2
     4.   13.0: #0 et #2
     5.   17.0: #0, #1 et #2
3. Après que le client est annoncé comme mort, taper Return.
4. Assurer que la vérification des sorties ne rapporte rien (signifie qu'elles
   sont conformes).

2 points
EXPL
./gotest.sh "$1" "102_client_multiple.py" "" "python -u lines.py 100 -s 0.2 -b 0.0 -a 100 | tee result.100" "python -u lines.py 100 -s 0.2 -b 0.0 -a 400 | tee result.400" "python -u lines.py 100 -s 0.2 -b 0.0 -a 700 | tee result.700"
for N in 100 400 700; do
    if diff -q lines.$N ../resh/result.$N; then
        rm ../resh/result.$N
    fi
done
echo "--- Done checking results ---"
read

# EOF
