#!/bin/bash
cat <<EXPL
Test 104: connexion temporairement fragile

1. Vérifier qu'on affiche bien les lignes 1 à 150 dans l'ordre.
2. MITM: vérifier qu'on brise la connexion aux ~5 secondes, chaque fois
   retardant la reprise de 5 secondes par des brisures systématiques.
3. Le client et le serveur ne doivent pas planter. Ils doivent arriver à se
   reconnecter une fois que le MITM le permet à nouveau.

1 point
EXPL
./gotest.sh "$1" "104_delay_brittle.py" "" "python -u lines.py 150 -s 0.2 -b 0.0"

# EOF
