#!/bin/bash
cat <<EXPL
Test 107: rupture de connexion durant la fermeture

Variante 1:

1. Vérifier qu'on affiche bien les lignes 1 à 10 dans l'ordre.
2. MITM: vérifier qu'on brise 5 fois la connexion après transmission de la
   requête de fermeture. Chaque fois, l'authentification est d'abord complétée.
3. Vérifier que le client s'authentifie correctement à chaque reconnexion où
   on tente à nouveau la fermeture.
4. Lorsque la réponse de la fermeture de connexion passe, le client doit
   pouvoir terminer son cycle de vie normalement.

Variante 2:

2. MITM: comme variante 1, sauf qu'ici, l'authentification n'est pas complétée
   avant de briser la connexion. Vérifier qu'aucune nouvelle connexion n'est
   créée.

2 points
EXPL
./gotest.sh "$1" "107_break_during_closing.py" "--auth" "python -u lines.py 10 -s 0.2 -b 0.0"
./gotest.sh "$1" "107_break_during_closing.py" "" "python -u lines.py 10 -s 0.2 -b 0.0"

# EOF
