#!/bin/bash
cat <<EXPL
Test 108: rupture de connexion durant authentification

Variante 1:

1. Vérifier qu'on affiche bien les lignes 1 à 100 dans l'ordre.
2. MITM: vérifier qu'on brise cinq fois la connexion après initiation de
   l'authentification initiale, puis cinq fois après avoir passé quelques
   lignes. Assurer qu'on ne tente de répondre qu'avec un seul identificateur
   de connexion.

Variante 2:

2. MITM: comme 1, sauf qu'on brise la connexion après avoir passé la réponse
   de l'auth. Vérifier qu'on ne multiplie pas les identificateurs de
   connexion durant la seconde phase de rupture.

2 points
EXPL
./gotest.sh "$1" "108_break_during_auth.py" "" "python -u lines.py 10 -s 0.2 -b 0.0"
./gotest.sh "$1" "108_break_during_auth.py" "--respond" "python -u lines.py 10 -s 0.2 -b 0.0"

# EOF
